iCAx开思工具箱

标题: 【求助】函数UF_MODL_ask_sweep_curves的用法 [打印本页]

作者: my_dear2002    时间: 2008-7-3 11:36
标题: 【求助】函数UF_MODL_ask_sweep_curves的用法
目的获取拉伸对象的拉伸曲线调用UF_MODL_ask_sweep_curves函数怎么老出错
/////////////////////////////
  拾取对象
  tag_t three_element;
  opts.other_options=0;
  opts.reserved=NULL;
  opts.num_mask_triples=1;
  opts.mask_triples=&mask;
  opts.mask_triples->object_type=UF_solid_type;//UF_face_type;
  opts.mask_triples->object_subtype=UF_solid_body_subtype;//UF_bounded_plane_subtype;
  opts.mask_triples->solid_type=UF_UI_SEL_FEATURE_BODY;//UF_UI_SEL_FEATURE_ANY_FACE;
  opts.scope=UF_UI_SEL_SCOPE_WORK_PART;//UF_UI_SEL_SCOPE_ANY_IN_ASSEMBLY;
  irc=UF_UI_select_single(message,&opts,&response,&three_element,cursor,&view);
  UF_DISP_set_highlight(three_element,0);
  获取对象所属特征tag值
  tag_t three_feature_tag;
  uf_list_t * feature_tag_list;
  irc=UF_MODL_create_list(&feature_tag_list);
  irc=UF_MODL_ask_body_feats(three_element,&feature_tag_list);
  tag_t list_item;
  irc=UF_MODL_ask_list_item(feature_tag_list,0,&list_item);
  获取拉伸曲线
  int pro_number;
  int gui_number;
  tag_t* pro_tag;
  tag_t* gui_tag;
  irc=UF_MODL_ask_sweep_curves(list_item,&pro_number,&pro_tag,&gui_number,&gui_tag);
//////////////////////////////////
作者: my_dear2002    时间: 2008-7-3 13:49
UF_MODL_ask_sweep_curves (view source)


Defined in: uf_modl_sweep.h


Overview

Gets the profile curves and guide curves of a given sweep. This will also
work for extrusion features as well.

这个函数里面写的对于拉伸体同样适用,我对扫略体没有问题 为啥对拉伸体就不对了呢?有做过的吗?




欢迎光临 iCAx开思工具箱 (https://t.icax.org/) Powered by Discuz! X3.3